
Foreman - Feature #36574

Update fast_gettext to ~> 2.1

07/07/2023 02:49 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Internationalization   

Target version:    

Difficulty:  Fixed in Releases: 3.11.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9328,

https://github.com/theforeman/foreman/p

ull/9770

  

Description

Currently we're on ~> 1.4 but 2.1.0 removes untaint. Ruby 3.2 has removed untaint and this is a blocker in the future.

Associated revisions

Revision de48fb5b - 03/04/2024 10:48 AM - Ewoud Kohl van Wijngaarden

Refs #36574 - Avoid patching Fastgettext

The code defines an additional method on Fastgettext but there's no

reason to do so. It can just as well define a method on itself.

Revision bbca4738 - 03/04/2024 10:48 AM - Oleh Fedorenko

Fixes #36574 - Update fast_gettext to ~> 2.1

History

#1 - 07/07/2023 02:50 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/9770 added

#2 - 07/07/2023 04:35 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9328 added

#3 - 11/06/2023 01:47 AM - The Foreman Bot

- Pull request deleted (https://github.com/theforeman/foreman/pull/9770, https://github.com/theforeman/foreman/pull/9328)

#4 - 11/16/2023 05:42 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9328 added

#5 - 11/16/2023 05:58 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9770 added

#6 - 02/24/2024 01:44 AM - The Foreman Bot

- Pull request deleted (https://github.com/theforeman/foreman/pull/9328, https://github.com/theforeman/foreman/pull/9770)

#7 - 02/29/2024 10:24 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9328 added
#8 - 02/29/2024 10:40 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9770 added

#9 - 03/04/2024 10:48 AM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#10 - 03/04/2024 11:00 AM - Oleh Fedorenko

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|bbca47389a95e85f71e6a31c6be33c7733bdbed5.
